﻿#First time tasks
#Install-Module SharePointPnPPowerShellOnline 
#$Creds = get-credential
#Add-PnPStoredCredential -Name $URL -Username $Creds.UserName -Password $Creds.Password


import-Module SharePointPnPPowerShellOnline 
$URL = "PATH"
Connect-PnPOnline $URL 

function Create-MyList($ListName, $ListURL){
    #Always versioning on
    New-PnPList -Title $ListName -Template GenericList -EnableVersioning -OnQuickLaunch -Url $ListURL
    Write-Host ("List " + $ListName + " has been created!") -ForegroundColor Green    
}

for($i=1;$i -lt 11;$i++){
    Create-MyList -ListName ("Hello World " + $i) -ListURL ("HelloWorld" + $i)    
}

for($i=1;$i -lt 11;$i++){
    Remove-PnPList ("Hello World " + $i) -Force 
}

Create-MyList -ListName HR -ListURL HR
Create-MyList -ListName Marketing -ListURL Marketing
Create-MyList -ListName IT -ListURL IT
Create-MyList -ListName Sales -ListURL Sales
Create-MyList -ListName Engineering -ListURL Engineering

Remove-PnPList HR
Remove-PnPList Marketing
Remove-PnPList IT
Remove-PnPList Sales
Remove-PnPList Engineering
